Bug 177830 - [maintainer-update] [patch] devel/hg-git: Update to 0.4.0 release
Summary: [maintainer-update] [patch] devel/hg-git: Update to 0.4.0 release
Status: Closed FIXED
Alias: None
Product: Ports & Packages
Classification: Unclassified
Component: Individual Port(s) (show other bugs)
Version: Latest
Hardware: Any Any
: Normal Affects Only Me
Assignee: Martin Wilke
URL:
Keywords:
Depends on:
Blocks:
 
Reported: 2013-04-13 07:40 UTC by Marco Bröder
Modified: 2013-04-30 01:40 UTC (History)
0 users

See Also:


Attachments
file.diff (3.20 KB, patch)
2013-04-13 07:40 UTC, Marco Bröder
no flags Details | Diff

Note You need to log in before you can comment on or make changes to this bug.
Description Marco Bröder 2013-04-13 07:40:02 UTC
- Update to 0.4.0 release
- Adjust required dependencies versions
- Depend on devel/py-ordereddict
- Limit python version up to 2.7
- Update setup.py patch
- Use a space character instead of a tab in pkg-descr
- Update pkg-plist

Tested: portlint, tinderbox, pkg install / delete, limited runtime

If there are questions, please ask. Tinderbox log available.

Thanks!

Fix: Patch attached with submission follows:
Comment 1 Martin Wilke freebsd_committer 2013-04-13 09:22:52 UTC
Responsible Changed
From-To: freebsd-ports-bugs->miwi

I'll take it.
Comment 2 dfilter service freebsd_committer 2013-04-30 01:37:26 UTC
Author: miwi
Date: Tue Apr 30 00:37:16 2013
New Revision: 316856
URL: http://svnweb.freebsd.org/changeset/ports/316856

Log:
  - Update to 0.4.0
  - Adjust required dependencies versions
  - Depend on devel/py-ordereddict
  - Limit python version up to 2.7
  - Update setup.py patch
  - Use a space character instead of a tab in pkg-descr
  - Update pkg-plist
  
  PR:		177830
  Submitted by:	maintainer

Modified:
  head/devel/hg-git/Makefile
  head/devel/hg-git/distinfo
  head/devel/hg-git/files/patch-setup.py
  head/devel/hg-git/pkg-descr   (contents, props changed)
  head/devel/hg-git/pkg-plist

Modified: head/devel/hg-git/Makefile
==============================================================================
--- head/devel/hg-git/Makefile	Mon Apr 29 23:15:35 2013	(r316855)
+++ head/devel/hg-git/Makefile	Tue Apr 30 00:37:16 2013	(r316856)
@@ -2,7 +2,7 @@
 # $FreeBSD$
 
 PORTNAME=	hg-git
-PORTVERSION=	0.3.4
+PORTVERSION=	0.4.0
 CATEGORIES=	devel python
 MASTER_SITES=	CHEESESHOP
 PKGNAMEPREFIX=	${PYTHON_PKGNAMEPREFIX}
@@ -12,12 +12,13 @@ COMMENT=	Mercurial extension to pull fro
 
 LICENSE=	GPLv2
 
-RUN_DEPENDS=	${PYTHON_PKGNAMEPREFIX}dulwich>=0.8.5:${PORTSDIR}/devel/dulwich \
-		mercurial>=2.3.2:${PORTSDIR}/devel/mercurial
+RUN_DEPENDS=	${PKGNAMEPREFIX}dulwich>=0.8.7:${PORTSDIR}/devel/dulwich \
+		mercurial>=2.5.2:${PORTSDIR}/devel/mercurial \
+		${PKGNAMEPREFIX}ordereddict>=1.1:${PORTSDIR}/devel/py-ordereddict
 
 MAKE_JOBS_SAFE=	yes
 
-USE_PYTHON=	yes
+USE_PYTHON=	-2.7
 USE_PYDISTUTILS=yes
 PYDISTUTILS_PKGNAME=	${PORTNAME:S/-/_/}
 

Modified: head/devel/hg-git/distinfo
==============================================================================
--- head/devel/hg-git/distinfo	Mon Apr 29 23:15:35 2013	(r316855)
+++ head/devel/hg-git/distinfo	Tue Apr 30 00:37:16 2013	(r316856)
@@ -1,2 +1,2 @@
-SHA256 (hg-git-0.3.4.tar.gz) = 3770dd4ce9f230fedff9c699f3a8f8d7210510b799c2ee7df774758026612c50
-SIZE (hg-git-0.3.4.tar.gz) = 18554
+SHA256 (hg-git-0.4.0.tar.gz) = 6a2289539bae5f898c25e66c149cb27eacb3ac2bcd90d3e247ba42ebba9f8a9c
+SIZE (hg-git-0.4.0.tar.gz) = 21981

Modified: head/devel/hg-git/files/patch-setup.py
==============================================================================
--- head/devel/hg-git/files/patch-setup.py	Mon Apr 29 23:15:35 2013	(r316855)
+++ head/devel/hg-git/files/patch-setup.py	Tue Apr 30 00:37:16 2013	(r316856)
@@ -1,17 +1,24 @@
---- ./setup.py.orig	2012-11-01 15:10:46.000000000 +0100
-+++ ./setup.py	2012-11-03 10:28:03.799021557 +0100
-@@ -1,7 +1,4 @@
+--- ./setup.py.orig	2013-03-24 22:35:51.000000000 +0100
++++ ./setup.py	2013-03-30 13:51:43.535271164 +0100
+@@ -1,13 +1,5 @@
 -try:
 -    from setuptools import setup
 -except:
 -    from distutils.core import setup
+-
+-try:
+-    from collections import OrderedDict
+-    extra_req = []
+-except ImportError:
+-    extra_req = ['ordereddict>=1.1']
 +from distutils.core import setup
++from collections import OrderedDict
  
  setup(
      name='hg-git',
-@@ -20,5 +17,4 @@
+@@ -26,5 +18,4 @@
      license='GPLv2',
      packages=['hggit'],
      package_data={ 'hggit': ['help/git.rst'] },
--    install_requires=['dulwich>=0.8.0'],
+-    install_requires=['dulwich>=0.8.6'] + extra_req,
  )

Modified: head/devel/hg-git/pkg-descr
==============================================================================
--- head/devel/hg-git/pkg-descr	Mon Apr 29 23:15:35 2013	(r316855)
+++ head/devel/hg-git/pkg-descr	Tue Apr 30 00:37:16 2013	(r316856)
@@ -18,4 +18,4 @@ The plugin is basically functional and u
 edge cases. However, there are several people using it effectively, so please
 test it yourself and report encountered bugs upstream (see website). Thanks!
 
-WWW:	http://hg-git.github.com/
+WWW: http://hg-git.github.com/

Modified: head/devel/hg-git/pkg-plist
==============================================================================
--- head/devel/hg-git/pkg-plist	Mon Apr 29 23:15:35 2013	(r316855)
+++ head/devel/hg-git/pkg-plist	Tue Apr 30 00:37:16 2013	(r316856)
@@ -19,4 +19,6 @@
 %%PYTHON_SITELIBDIR%%/hggit/util.py
 %%PYTHON_SITELIBDIR%%/hggit/util.pyc
 %%PYTHON_SITELIBDIR%%/hggit/util.pyo
+%%PYTHON_SITELIBDIR%%/hggit/help/git.rst
+@dirrm %%PYTHON_SITELIBDIR%%/hggit/help
 @dirrm %%PYTHON_SITELIBDIR%%/hggit
_______________________________________________
svn-ports-all@freebsd.org mailing list
http://lists.freebsd.org/mailman/listinfo/svn-ports-all
To unsubscribe, send any mail to "svn-ports-all-unsubscribe@freebsd.org"
Comment 3 Martin Wilke freebsd_committer 2013-04-30 01:37:30 UTC
State Changed
From-To: open->closed

Committed. Thanks!